%define _requires_exceptions pear(PHPUnit/Framework.php)
%define upstream_name HTML_Common2
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.0.0
Release:     	%mkrel 2
Summary:    	Abstract base class for HTML classes (PHP5 port of HTML_Common package)
License: 	BSD License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/HTML_Common2-%{version}.tgz
URL: 		http://pear.php.net/package/HTML_Common2
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
HTML_Common2 package provides methods for HTML code display and attributes
handling.
* Provides methods to set, remove, merge HTML attributes.
* Handles global document options (charset, linebreak and indentation
characters).
* Provides methods to handle indentation and HTML comments (useful in
subclasses).

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTML_Common2.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTML_Common2.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTML_Common2
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/HTML_Common2.xml


%changelog

* Tue Mar 06 2012 spuhler <spuhler> 2.0.0-2.mga2
+ Revision: 219507
- added define _requires_exceptions pear(PHPUnit/Framework.php)

* Mon Mar 05 2012 spuhler <spuhler> 2.0.0-1.mga2
+ Revision: 218447
- upgrade to 2.0.0
  pearized spec

* Sat Feb 05 2011 spuhler <spuhler> 2.0.0-0.beta1.6.mga1
+ Revision: 47168
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-HTML_Common2

